#
# spec file for package python-agate-dbf
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-agate-dbf
Version:        0.2.3
Release:        1.4
Summary:        Read support for dbf files for agate
License:        MIT
Group:          Development/Languages/Python
URL:            http://agate-dbf.readthedocs.org/
# https://github.com/wireservice/agate-dbf/issues/4
Source:         https://github.com/wireservice/agate-dbf/archive/%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module agate >= 1.5.0}
BuildRequires:  %{python_module dbfread >= 2.0.5}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-agate >= 1.5.0
Requires:       python-dbfread >= 2.0.5
BuildArch:      noarch

%python_subpackages

%description
Agate-dbf adds read support for dbf files to agate.

%prep
%setup -q -n agate-dbf-%{version}
sed -i -e '/^#!\//, 1d' agatedbf/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.rst README.rst
%license COPYING
%{python_sitelib}/*

%changelog
* Mon Mar 18 2024 Dirk Müller <dmueller@suse.com>
- update to 0.2.3:
  * Add Python 3.8, 3.9, 3.10, 3.11, 3.12 support.
  * Drop support for Python 2.7 (EOL 2020-01-01), 3.4
    (2019-03-18), 3.5 (2020-09-13), 3.6 (2021-12-23), 3.7
    (2023-06-27).
* Tue Nov 10 2020 Marketa Machova <mmachova@suse.com>
- Update to 0.2.2
  * No longer lowercase column names.
* Thu Apr 16 2020 Matej Cepl <mcepl@suse.com>
- Switch from using nosetest runner to pytest
* Wed Apr 17 2019 pgajdos@suse.com
- version update to 0.2.1
  * agate-dbf is now tested against Python 3.6 and 3.7.
  * Drop support for Python 3.3 (end-of-life was September 29, 2017).
- deleted sources
  - COPYING (not needed)
- run testsuite
* Wed May  9 2018 toddrme2178@gmail.com
- Add license file
- Use license tag
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
